/*
 *
 *  NAME:
 *  	spica_read_1a_cmd.c
 *
 * Author:
 *   Nicolas Chapron
 *     CNRS | LATMOS - Laboratoire Atmospheres, Milieux, Observations Spatiales.
 *     11 boulevard d'Alembert
 *     78280 Guyancourt
 *     France
 *     Tel. 33-(0) 1 80 28 50 57
 *     Email. nicolas.chapron@latmos.ipsl.fr
 *
 *  SVN Revision:
 *      $Rev: $
 *      $Author: $
 *      $Date: $
 *
 */

#ifndef SPICA_READ_1A_CMD_H
#define SPICA_READ_1A_CMD_H

#include <fcntl.h>
#include <getopt.h>
#include <math.h>
#include <signal.h>

#include "spica_read_1A.h"

void spica_read_1auv_cmd(int,char**);
void spica_read_1air_cmd(int,char**);
float get_min(int*, float **, int, int, int);
float get_max(int*, float **, int, int, int);
void print_data(int*, float **, float **, int **, int, int, int, int);
void print_temperaturesdata(int*, Parameters, int, int);
void print_geodata(int*, Geo, int, int);
int* get_ArrSampleValues(char *, int, int, int);

#endif SPICA_READ_1A_CMD_H		/* SPICA_READ_1A_CMD_H */
